TextCritical.net - Bug #2726

References are cached with the verse ID (even though it is the same chapter)

05/11/2020 04:40 PM - Luke Murphey

Status: Closed Start date: 05/11/2020
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 4.0

Description

Associated revisions

Revision 1155 - 05/23/2020 08:50 PM - luke.murphey

Adding improved cache control
It not doesn't cache verses
It also can load a chapter and then add in the verse info

Reference #2726

Revision 1156 - 05/23/2020 11:02 PM - luke.murphey

Improving cache handling

Reference #2726

History

#1 - 05/22/2020 11:34 PM - Luke Murphey

- Target version changed from Plus_2 to 4.0

#2 - 05/22/2020 11:53 PM - Luke Murphey
Obs:

® The following changes when a verse to highlight is selected
o verse_to_highlight
o verse_not_found
© warnings
o title

Qs:

e How do | determine what verse to highlight?
o Comes from get_division_and_verse
¢ What part of the API response is so slow?
o The rendering of the HTML is a big part
¢ How do | get the browser to cache to cache the responses?
o https://docs.djangoproject.com/en/3.0/ref/utils/#module-django.utils.cache

Solns:

e Cache the response manually, add in the verse data afterwards
o | could have the system store only the chapter part long-term

07/14/2025

1/2



https://docs.djangoproject.com/en/3.0/ref/utils/#module-django.utils.cache

o The cache system could check for existence of a match for the URL. If it finds one, it can assume it was for a chapter only and just return
what it got (and not bother with the verse only functionality).
o The cache key ought to be the URL portion of the work (work and divisions)

Refs:

e https://docs.djangoproject.com/en/3.0/topics/cache/

#3 - 05/23/2020 08:51 PM - Luke Murphey

I think | need to not cache response with leftovers. This is currently ignored.

#4 - 05/23/2020 11:02 PM - Luke Murphey
- Status changed from New to Closed

- % Done changed from 0 to 100
